#
# Makefile.PL for Net::Pcap
#
# $Id: Makefile.PL,v 1.3 1999/03/11 23:34:01 tpot Exp $
#
# Modif JLM 13/04/2003 Net::Pcap-0.04.01
# -------------------------------------
# Set the path to the WPcap library here:

my $WPCAP = 'F:\VisualC++\WPdpack';

# **************************************

use ExtUtils::MakeMaker;

if ($^O ne 'MSWin32') {     # Win32 only
print << 'TXT';
This version of Net::Pcap is a beta version for Win32 only.
Download the last (ordinary) version on the CPAN.
TXT
;
exit;
}

unless (-e $WPCAP.'\Lib\Packet.lib') {    # DEv pack ok?
print << 'ERR';
Error:  WinPcap library not found.
Set the path to this library in Makefile.PL and run 'perl Makefile.PL' again.
ERR
;
exit;
}

my $sockfile;
foreach (@INC) {  # looking for socket.h
  if (-e $_.'/CORE/sys/socket.h') {
    $sockfile = $_.'/CORE/sys/socket.h';
    last;
  }
}
die "file \"socket.h\" not found" unless $sockfile;
open H, "< $sockfile" or die $!;
my $h;
{
  local $/;
  $h = <H>;
}
close H;

my $ifdef = <<'IFDEF';  # patch for socket.h
/* patch for WinPCap
   original file renamed 'socket.h.orig'
*/
#ifdef WINSOCK2_H_REQUESTED
#include <winsock2.h>
#else
#include <winsock.h>
#endif
/* end of patch */
IFDEF
;

if ($h =~ /\#include <winsock2.h>/) {
  print "socket.h already patched...Ok\n"
}
else {
  if (rename $sockfile, $sockfile.'.orig') {
    $h =~ s/#include <winsock.h>/$ifdef/;
    open H, "> $sockfile" or die $!;
    print H $h;
    close H;
    print "socket.h patched...Ok\n"
  }
  else {
    print "Unable to patch socket.h\n"
  }
}

WriteMakefile(
	'NAME'         => 'Net::Pcap',
	'DISTNAME'     => 'Net-Pcap',
	'VERSION_FROM' => 'Pcap.pm',
	($] >= 5.005 ?    ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM => 'Pcap.pm', # retrieve abstract from module
       AUTHOR     => 'Tim Potter <tpot@samba.org>') : ()),
	'LIBS'		=> ["$WPCAP\\Lib\\wpcap.lib"],
	'INC'		=> "-I$WPCAP\\Include",
	dist => {
		'COMPRESS' => "gzip -9f",
		'SUFFIX'   => "gz"
	}
);
