#!/usr/bin/perl -w
#
# Test dispatch function
#
# $Id: 14-wpcapext.t,v 0.1 03/09/2004 jlm $
#

use strict;
use English;

use ExtUtils::testlib;
use Net::Pcap ':openflag';

print("1..6\n");

# Must run as root

if ($UID != 0) {
    print("not ok\n");
    exit;
}

my ($error, %description);
my @adapts = Net::Pcap::findalldevs(\$error);

if (defined($error)) {
    print("not ok\n");
} else {
    print("ok\n");
}

()=Net::Pcap::findalldevs(\$error, \%description);
if (defined($error)) {
    print("not ok\n");
} else {
    print("ok\n");
}

my $status = 1;
foreach(@adapts) {
  unless (exists $description{$_}) {
    $status = 0;
    last;
  }
}

if ($status) {
    print("ok\n");
} else {
    print("not ok\n");
}

my $fp= Net::Pcap::open($adapts[-1],
                        1000,
                        OPENFLAG_PROMISCUOUS,
                        1000,
                        undef,
                        \$error
                        );

if (defined($error)) {
    print("not ok\n");
} else {
    print("ok\n");
}

Net::Pcap::setnonblock($fp, 1, \$error);
if (defined($error)) {
    print("not ok\n");
} else {
    print("ok\n");
}

$status = Net::Pcap::getnonblock($fp, \$error);
if ($status) {
    print("ok\n");
} else {
    print("not ok\n");
}
